#ifndef TASK_SECURITY_H
#define TASK_SECURITY_H

#include "task_contexts.h"

#define task_security(tsk) ((task_security_t *)(tsk)->security)

typedef struct {
	task_context_t *context;
	int disablenetwork_mode;	/* We implement DJB's disablenetwork()
					   behaviour */
} task_security_t;


extern int alloc_task_security(struct task_struct *p);
extern void free_task_security(struct task_struct *p);

#endif /* TASK_SECURITY_H */
